---
title: "Updates Product Attribute Value entity in the system."
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed/operations/put-productattributes-id-values-value_id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed.md

# Updates Product Attribute Value entity in the system.

`PUT` `/productattributes/{id}/values/{value_id}`

Operation ID: `put-productattributes-id-values-value_id`

Sample request: PUT /productattributes/2/values/66 { "name": "sample_name" }

## Path parameters

- `id` (integer, int32, required) - Format - int32. Product Attribute id
- `value_id` (integer, int32, required) - Format - int32. Product Attribute value id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Request body

Content types: `application/json`

## Responses

- `200` - Product Attribute Value was updated
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not Found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: V2
servers:
  - url: https://api.retailexpress.com.au/v2
paths:
  /productattributes/{id}/values/{value_id}:
    put:
      tags:
        - productattributes
      summary: Updates Product Attribute Value entity in the system.
      description: "Sample request:\r

        \            \r

        \    PUT /productattributes/2/values/66\r

        \    {\r

        \       \"name\": \"sample_name\"\r

        \    }"
      operationId: put-productattributes-id-values-value_id
      parameters:
        - name: id
          in: path
          description: Format - int32. Product Attribute id
          required: true
          schema:
            type: integer
            description: Product Attribute id
            format: int32
        - name: value_id
          in: path
          description: Format - int32. Product Attribute value id
          required: true
          schema:
            type: integer
            description: Product Attribute value id
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      requestBody:
        description: Product Attribute Value model
        content:
          application/json:
            schema:
              title: EmptyExample
              type: object
              additionalProperties: false
      responses:
        "200":
          description: Product Attribute Value was updated
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/AttributeValue"
              example:
                id: 0
                attribute_id: 0
                name: string
                list_order: 0
                modified_on: string
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    AttributeValue:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Attribute Value Id
          format: int32
          nullable: true
        attribute_id:
          type: integer
          description: Attribute Id
          format: int32
        name:
          type: string
          description: Attribute Value Name
          nullable: true
        list_order:
          type: integer
          description: Attribute Value List Order
          format: int32
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Product attribute value model
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
```
